Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 622785 - /etc/init.d/named script kills all process named 'named'.
/etc/init.d/named script kills all process named 'named'.
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: bind (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Adam Tkac
Martin Cermak
:
Depends On: 500535
Blocks: 657260
  Show dependency treegraph
 
Reported: 2010-08-10 08:24 EDT by Adam Tkac
Modified: 2012-07-11 03:19 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
previously, initscript killed all processes with the name "named" when stopping the named daemon. With this update, initscript kills only the selected one.
Story Points: ---
Clone Of: 500535
: 657260 (view as bug list)
Environment:
Last Closed: 2011-05-19 08:58:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:0541 normal SHIPPED_LIVE bind bug fix and enhancement update 2011-05-18 13:57:36 EDT

  None (edit)
Description Adam Tkac 2010-08-10 08:24:50 EDT
+++ This bug was initially created as a clone of Bug #500535 +++

Description of problem:
/etc/init.d/named script kills all process named 'named'.
it's problem on using OpenVZ etc.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. start guest os on OpenVZ.
2. execute /etc/init.d/named stop on host os.
  
Actual results:
guest os's named is killed.

Expected results:


Additional info:

--- Additional comment from atkac@redhat.com on 2009-06-09 09:15:42 EDT ---

Created an attachment (id=347021)
proposed patch

Would it be possible to test proposed patch, please?

--- Additional comment from pm-rhel@redhat.com on 2009-11-06 13:47:21 EST ---

This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".
Comment 1 Levente Farkas 2010-08-11 05:18:05 EDT
imho it's a bigger problem that currently it's not possible to stop named. ie i've got only:
----------------------------------
# /etc/init.d/named stop
Stopping named: .............                              [FAILED]
# ps axuf|grep named
root     13140  0.0  0.0 103148   808 pts/0    S+   11:03   0:00          \_ grep named
named    12493  0.0  0.5 240372 19900 ?        Ssl  10:52   0:00 /usr/sbin/named -u named
----------------------------------
the only way is kill -9.
Comment 2 Adam Tkac 2010-08-11 07:14:08 EDT
(In reply to comment #1)
> imho it's a bigger problem that currently it's not possible to stop named. ie
> i've got only:
> ----------------------------------
> # /etc/init.d/named stop
> Stopping named: .............                              [FAILED]
> # ps axuf|grep named
> root     13140  0.0  0.0 103148   808 pts/0    S+   11:03   0:00          \_
> grep named
> named    12493  0.0  0.5 240372 19900 ?        Ssl  10:52   0:00
> /usr/sbin/named -u named
> ----------------------------------
> the only way is kill -9.    

It seems your named hangs in deadlock. Would it be possible to install bind-debuginfo package, attach named with gdb, run "t a a bt" in gdb prompt, open a separate bug for this issue and attach output there, please?
Comment 3 Levente Farkas 2010-08-11 07:58:48 EDT
#623122
Comment 10 Martin Cermak 2011-03-18 05:52:23 EDT
According to https://beaker.engineering.redhat.com/jobs/63067 - VERIFIED.
Comment 11 Ryan Lerch 2011-04-12 19:18:21 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
initscript killed all processes with the name "named" when stopping the named daemon. With this update, initscript kills only the one it started.
Comment 12 Ryan Lerch 2011-05-03 18:24:36 EDT
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1 +1 @@
-initscript killed all processes with the name "named" when stopping the named daemon. With this update, initscript kills only the one it started.+previously, initscript killed all processes with the name "named" when stopping the named daemon. With this update, initscript kills only the selected one.
Comment 13 errata-xmlrpc 2011-05-19 08:58:10 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0541.html

Note You need to log in before you can comment on or make changes to this bug.